## org.eclipse.m2m.qvt.oml.debug.core.vm
Class UnitLocationExecutionContext

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.UnitLocationExecutionContext

    public class UnitLocationExecutionContext

extends java.lang.Object

Method Summary
`java.util.List<EStructuralFeature>` `getAllFeatures(EClass eClass)`
`org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv` `getEvalEnv()`
`EClassifier` `getOCLType(EStructuralFeature feature)`
`<any>` `getStandardLibrary()`
`java.lang.Object` `getValue(EStructuralFeature feature, EObject target)` TODO - Note: with derived properties may execute QVTO engine, throw QVTRuntimeException!!!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getOCLType

    public EClassifier getOCLType(EStructuralFeature feature)

### getStandardLibrary

    public <any> getStandardLibrary()

### getAllFeatures

    public java.util.List<EStructuralFeature> getAllFeatures(EClass eClass)

### getEvalEnv

    public org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEvaluationEnv getEvalEnv()

### getValue

    public java.lang.Object getValue(EStructuralFeature feature,
                                     EObject target)

  TODO - Note: with derived properties may execute QVTO engine, throw QVTRuntimeException!!! Should be evaluated at separate thread and QVTO Evaluator, to be interruptible

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.